<?php
/**
 * The template part for displaying large header layout.
 *
 * @package Squaretype
 */

$class = get_theme_mod( 'header_shadow_submenus', false ) ? 'navbar-shadow-enabled' : null;

$color_topbar_bg    = strtoupper( get_theme_mod( 'color_large_header_bg', '#ffffff' ) );
$color_bottombar_bg = strtoupper( get_theme_mod( 'color_navbar_bg', '#ffffff' ) );

// If the background color in the bars is different.
$scheme_topbar = '';
if ( $color_topbar_bg !== $color_bottombar_bg ) {
	$scheme_topbar .= ' navbar-multicolor';
}

$scheme = csco_color_scheme(
	get_theme_mod( 'color_large_header_bg', '#ffffff' ),
	get_theme_mod( 'color_large_header_bg_dark', '#1c1c1c' )
);

?>

<div class="navbar navbar-topbar <?php echo esc_attr( $class ); ?>" <?php echo wp_kses( $scheme, 'post' ); ?>>

	<div class="navbar-wrap<?php echo esc_attr( $scheme_topbar ); ?>">

		<div class="navbar-container">

			<div class="navbar-content">

				<div class="navbar-col">
					<?php do_action( 'csco_navbar_topbar_left' ); ?>
				</div>

				<div class="navbar-col">
					<?php do_action( 'csco_navbar_topbar_center' ); ?>
				</div>

				<div class="navbar-col">
					<?php do_action( 'csco_navbar_topbar_right' ); ?>
				</div>
			</div>

		</div>

	</div>

</div>

<?php
$scheme = csco_color_scheme(
	get_theme_mod( 'color_navbar_bg', '#ffffff' ),
	get_theme_mod( 'color_navbar_bg_dark', '#1c1c1c' )
);
?>

<nav class="navbar navbar-primary navbar-bottombar <?php echo esc_attr( $class ); ?>" <?php echo wp_kses( $scheme, 'post' ); ?>>

	<?php do_action( 'csco_navbar_start' ); ?>

	<div class="navbar-wrap">

		<div class="navbar-container">

			<div class="navbar-content">

				<div class="navbar-col">
					<?php do_action( 'csco_navbar_bottombar_left' ); ?>
				</div>

				<div class="navbar-col">
					<?php do_action( 'csco_navbar_bottombar_center' ); ?>
				</div>

				<div class="navbar-col">
					<?php do_action( 'csco_navbar_bottombar_right' ); ?>
				</div>

			</div><!-- .navbar-content -->

		</div><!-- .navbar-container -->

	</div><!-- .navbar-wrap -->

	<?php do_action( 'csco_navbar_end' ); ?>

</nav><!-- .navbar -->
